Subject: bug#12081: 24.1; buffer-predicate often not called

From: Dave Abrahams <[email-masked]>
Date: Tue, 14 Aug 2012 12:07:21 -0400

on Tue Aug 14 2012, martin rudalics <rudalics-AT-gmx.at> wrote:

>>> and `other-buffer' probably should not even care about this parameter.
>>
>> Why not?
>
> Do you need it apart from `kill-buffer', `bury-buffer' and
> `replace-buffer-in-windows'?

I don't know.  I guess in part that depends on which other parts of
emacs call those functions, and whether that set is guaranteed to be
stable over time.  I don't think it's currently documented or stable,
which is why this probably seemed to the person who implemented the
other-buffer functionality to "work" in some useful way.

-- 
Dave Abrahams
BoostPro Computing                  Software Development        Training
http://www.boostpro.com             Clang/LLVM/EDG Compilers  C++  Boost